Bug 76220 - Graphviz not part of RedHat
Graphviz not part of RedHat
Product: Red Hat Linux
Classification: Retired
Component: doxygen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-18 08:01 EDT by Eric Hopper
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-12 08:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2002-10-18 08:01:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The Doxygen tool can make good use of GraphViz as a tool to diagram
relationships between classes.  Yet, GraphViz is not a package shiped with RedHat.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -iq graphviz
2. Notice how it isn't there
3. ls /mnt/rh80_cd/RedHat/RPMS/[Gg]raph*
4. Notice how it isn't there

Actual Results:  Missing packages and missing files

Expected Results:  The packages to be installed or the RPMS to be available.

Additional info:

GraphViz can be found at:


I'm not sure if this is a doxygen bug exactly, but I couldn't figure out which
component it should be, and doxygen is the reason I want the GraphViz tools.
Comment 1 Kjartan Maraas 2004-03-29 12:50:13 EST
My bet is that graphviz is impossible to ship with Red Hat Linux or
Fedora fora that matter because of it's license. Not sure, but after
reading the license it seems overly complicated.
Comment 2 Ngo Than 2006-05-12 08:24:00 EDT
it's not included in FC because of it's license.

Note You need to log in before you can comment on or make changes to this bug.